﻿using System;
using System.IO;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Terraria;
using Terraria.ID;
using Terraria.ModLoader;

namespace YoyosMod.Items   //We need this to basically indicate the folder where it is to be read from, so you the texture will load correctly
{
    public class YoyoCrateItem : ModItem
    {
        public override void SetStaticDefaults()
		{
			DisplayName.SetDefault("Yoyo Crate");
			Tooltip.SetDefault("Right click to open; contains various yoyo items.");
		}
		public override void SetDefaults()
        {
            Item.maxStack = 999;     //This defines the items max stack
            Item.consumable = true;  //Tells the game that this should be used up once opened
            Item.width = 34;  //The size in width of the sprite in pixels.
            Item.height = 34;    //The size in height of the sprite in pixels.      
            Item.rare = 2; //The color the title of your Weapon when hovering over it ingame  
            Item.createTile = ModContent.TileType<Tiles.YoyoCrateTile>(); // This defines what type of tile this item will place
            Item.placeStyle = 0;
            Item.useAnimation = 10; //How long the item is used for.
            Item.useTime = 10;  //How fast the item is used.
            Item.useStyle = 1; //The way your item will be used, 1 is the regular sword swing for example


        }
		
        public override bool CanRightClick() //this make so you can right click this item
        {
            return true;
        }

        public override void RightClick(Player player)  //this make so when you right click this item, then one of these items will drop
        {
            var itemSource = player.GetItemSource_OpenItem(Type);

            if (Main.hardMode) // if it's hardmode 
            {
                int Choose = Main.rand.Next(5);      //so there are 5 items to choose from, but only one will drop  ,  if you want to add more drops change the num 5 with how many items you want and below add another  if (Choose == number)       
                if (Choose == 0)                                                  // 1 item
                {
                    player.QuickSpawnItem(itemSource, ItemID.JourneymanBait, Main.rand.Next(1, 4)); 
                }
                if (Choose == 1)                                                    //2 item
                {
                    player.QuickSpawnItem(itemSource, ItemID.BlackCounterweight);
                }
                if (Choose == 2)                                                   // 3 item
                {
                    player.QuickSpawnItem(itemSource, ItemID.Worm, Main.rand.Next(4, 12));
                }
                if (Choose == 3)                                                   // 4 item
                {
                    player.QuickSpawnItem(itemSource, ItemID.RainbowString);
                }
                if (Choose == 4)                                                  //5 item
                {
                    player.QuickSpawnItem(itemSource, ItemID.YoYoGlove);
                }
				if (Choose == 5)
				{
					player.QuickSpawnItem(itemSource, ItemID.ApprenticeBait, Main.rand.Next(2, 8));
				}

                //and these are items that will drop 100% + the one itam from the top
                player.QuickSpawnItem(itemSource, ItemID.Cobweb, Main.rand.Next(25, 35));   

            }
            else        //else if it's prehard 
            {
                int Choose = Main.rand.Next(4);
                if (Choose == 0)                                                  // 1 item
                {
                    player.QuickSpawnItem(itemSource, ItemID.WhiteString);
                }
                if (Choose == 1)                                                    //2 item
                {
                    player.QuickSpawnItem(itemSource, ItemID.ApprenticeBait, Main.rand.Next(1, 4));
                }
                if (Choose == 2)                                                   // 3 item
                {
                    player.QuickSpawnItem(itemSource, ItemID.WoodYoyo);
                }
				if (Choose == 3)
				{
					player.QuickSpawnItem(itemSource, ItemID.Worm, Main.rand.Next(1, 4));
				}
                player.QuickSpawnItem(itemSource, ItemID.Cobweb, Main.rand.Next(15, 25));

            }


        }

    }
}