using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Terraria;                      //this are the references that we are going to use
using Terraria.DataStructures;
using Terraria.ID;
using Terraria.ModLoader;

namespace YoyosMod.Items
{
    public class gold : ModItem    //make sure the sprite file is named like the class name (CustomYoyo)
    {

        public override void SetStaticDefaults()
		{
			DisplayName.SetDefault("Gold Yoyo");
			Tooltip.SetDefault("A yoyo made out of gold.");
		}
        public override void SetDefaults()
        {
            Item.damage = 14;//The damage stat for the Weapon.
            Item.DamageType = DamageClass.Melee;     //This defines if it does Melee damage and if its effected by Melee increasing Armor/Accessories.
            Item.useTime = 27;  //How fast the Weapon is used.
            Item.useAnimation = 22;   //How long the Weapon is used for.
            Item.useStyle = 5;//The way your Weapon will be used, 1 is the regular sword swing for example
            Item.channel = true;// We can keep the left mouse button down when trying to keep using this weapon.
            Item.knockBack = 5.5f;//The knockback stat of your Weapon.
            Item.value = Item.buyPrice(0, 0, 20, 0); //	How much the item is worth, in copper coins, when you sell it to a merchant. It costs 1/5th of this to buy it back from them. An easy way to remember the value is platinum, gold, silver, copper or PPGGSSCC (so this item price is 10gold)
            Item.rare = 0;//The color the title of your Weapon when hovering over it ingame   
            Item.autoReuse = false;  //Weather your Weapon will be used again after use while holding down, if false you will need to click again after use to use it again.
            Item.shoot = ModContent.ProjectileType<Projectiles.goldP>(); //This defines what type of projectile this weapon will shot
            Item.noUseGraphic = true; //  Do not use the item graphic when using the item (we just want the yoyo projectile to spawn).
            Item.noMelee = true;// Makes sure that the animation when using the item doesn't hurt NPCs.
            Item.UseSound = SoundID.Item1; //The sound played when using your Weapon

        }

        // this is how to add a  to craft this item
        public override void AddRecipes()
        {
            CreateRecipe()
			.AddIngredient(ItemID.WoodYoyo, 1)
            .AddIngredient(ItemID.Cobweb, 5)
			.AddIngredient(ItemID.GoldBar, 10) //this is how to add an ingredient from vanilla terraria, 
            .AddTile(TileID.Anvils)  //this is where to craft the item ,WorkBenches = all WorkBenches    Anvils = all anvils , MythrilAnvil = Mythril Anvil and Orichalcum Anvil, Furnaces = all furnaces , DemonAltar = Demon Altar and Crimson Altar , TinkerersWorkbench = Tinkerer's Workbench
            .Register();
        }
    }
}