using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Terraria;                     
using Terraria.DataStructures;
using Terraria.ID;
using Terraria.ModLoader;

namespace YoyosMod.Items
{
    public class hallow : ModItem    
    {

        public override void SetStaticDefaults()
        {
            DisplayName.SetDefault("Hallowed Out");
            Tooltip.SetDefault("It might be hallow, but its quite heavy..");
        }
        public override void SetDefaults()
        {
            Item.damage = 65;//The damage stat for the Weapon.
            Item.DamageType = DamageClass.Melee;     //This defines if it does Melee damage and if its effected by Melee increasing Armor/Accessories.
            Item.useTime = 22;  //How fast the Weapon is used.
            Item.useAnimation = 22;   //How long the Weapon is used for.
            Item.useStyle = 5;//The way your Weapon will be used, 1 is the regular sword swing for example
            Item.channel = true;// We can keep the left mouse button down when trying to keep using this weapon.
            Item.knockBack = 8f;//The knockback stat of your Weapon.
            Item.value = Item.buyPrice(0, 6, 20, 0); //	How much the item is worth, in copper coins, when you sell it to a merchant. It costs 1/5th of this to buy it back from them. An easy way to remember the value is platinum, gold, silver, copper or PPGGSSCC (so this item price is 10gold)
            Item.rare = 5;//The color the title of your Weapon when hovering over it ingame   
            Item.autoReuse = false;  //Weather your Weapon will be used again after use while holding down, if false you will need to click again after use to use it again.
            Item.shoot = ModContent.ProjectileType<Projectiles.hallowp>(); //This defines what type of projectile this weapon will shot
            Item.noUseGraphic = true; //  Do not use the item graphic when using the item (we just want the yoyo projectile to spawn).
            Item.noMelee = true;// Makes sure that the animation when using the item doesn't hurt NPCs.
            Item.UseSound = SoundID.Item1; //The sound played when using your Weapon

        }

        // this is how to add a  to craft this item
        public override void AddRecipes()
        {
            CreateRecipe()
            .AddIngredient(ItemID.HallowedBar, 20)
            .AddIngredient(ItemID.SoulofMight, 10)
            .AddIngredient(ItemID.SoulofFright, 10)
            .AddIngredient(ItemID.SoulofSight, 10)
            .AddTile(TileID.MythrilAnvil)  //this is where to craft the item ,WorkBenches = all WorkBenches    Anvils = all anvils , MythrilAnvil = Mythril Anvil and Orichalcum Anvil, Furnaces = all furnaces , DemonAltar = Demon Altar and Crimson Altar , TinkerersWorkbench = Tinkerer's Workbench
            .Register();
        }
    }
}