﻿using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Terraria;
using Terraria.ID;
using Terraria.ModLoader;

namespace YoyosMod.Projectiles
{
    public class CustomYoyoProjectile : ModProjectile   //make sure the sprite file is named like the class name (CustomYoyoProjectile)
    {

        public override void SetDefaults()
        {
            Projectile.extraUpdates = 0;
            Projectile.width = 16;//Set the projectile hitbox width
            Projectile.height = 16; //Set the projectile hitbox height            
            Projectile.aiStyle = 99; // aiStyle 99 is used for all yoyos, and is Extremely suggested, as yoyo are extremely difficult without them
            Projectile.friendly = true;  //Tells the game whether it is friendly to players/friendly npcs or not
            Projectile.penetrate = 5; //Tells the game how many enemies it can hit before being destroyed. -1 = never
            Projectile.DamageType = DamageClass.Melee; //Tells the game whether it is a melee projectile or not        
            // The following sets are only applicable to yoyo that use aiStyle 99.
            // YoyosLifeTimeMultiplier is how long in seconds the yoyo will stay out before automatically returning to the player. 
            // Vanilla values range from 3f(Wood) to 16f(Chik), and defaults to -1f. Leaving as -1 will make the time infinite.
            ProjectileID.Sets.YoyosLifeTimeMultiplier[Projectile.type] = 4f;
            // YoyosMaximumRange is the maximum distance the yoyo sleep away from the player. 
            // Vanilla values range from 130f(Wood) to 400f(Terrarian), and defaults to 200f
            ProjectileID.Sets.YoyosMaximumRange[Projectile.type] = 420f;
            // YoyosTopSpeed is top speed of the yoyo Projectile. 
            // Vanilla values range from 9f(Wood) to 17.5f(Terrarian), and defaults to 10f
            ProjectileID.Sets.YoyosTopSpeed[Projectile.type] = 9f;
        }
        //Add this if you want the yoyo to make dust when used
        public override void AI()
        {
            if (Main.rand.Next(2) == 0) // this is how many duspt particles will spawn
            {// DustID.Fire is a vanilla terrraria dust, change it to what you like. To add a modded dust the change DustID.Fire with mod.DustType("DustName") 
                Dust.NewDust(Projectile.position + Projectile.velocity, Projectile.width, Projectile.height, Dust.NewDust(Projectile.position, Projectile.width, Projectile.height, 6), Projectile.velocity.X * 0.5f, Projectile.velocity.Y * 0.5f);
            }
        }


    }
}