﻿using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Terraria;
using Terraria.ID;
using Terraria.Audio;
using Terraria.ModLoader;

namespace YoyosMod.Projectiles
{
    public class R2 : ModProjectile   //make sure the sprite file is named like the class name (CustomYoyoProjectile)
    {

        public override void SetDefaults()
        {
            Projectile.extraUpdates = 0;
            Projectile.width = 12;//Set the projectile hitbox width
            Projectile.height = 12; //Set the projectile hitbox height            
            Projectile.friendly = true;  //Tells the game whether it is friendly to players/friendly npcs or not
            Projectile.penetrate = 9; //Tells the game how many enemies it can hit before being destroyed. -1 = never
            Projectile.DamageType = DamageClass.Melee; //Tells the game whether it is a melee projectile or not        
			Projectile.timeLeft = 50;
			Projectile.alpha++;
        }

		public override bool OnTileCollide(Vector2 oldVelocity)
		{
			Projectile.penetrate--;
			if (Projectile.penetrate <= 0)
			{
				Projectile.alpha++;
			}
			else
			{
				Projectile.ai[0] += 0.1f;
				if (Projectile.velocity.X != oldVelocity.X)
				{
					Projectile.velocity.X = -oldVelocity.X;
				}
				if (Projectile.velocity.Y != oldVelocity.Y)
				{
					Projectile.velocity.Y = -oldVelocity.Y;
				}
				Projectile.velocity *= 0.75f;
				SoundEngine.PlaySound(SoundID.Item10, Projectile.position);
			}
			return false;
		}

		public override void OnHitNPC(NPC target, int damage, float knockback, bool crit)
		{
			Projectile.ai[0] += 0.1f;
			Projectile.velocity *= 0.75f;
		}
	}
}