﻿using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Terraria;
using Terraria.ID;
using Terraria.ModLoader;

namespace YoyosMod.Projectiles
{
    public class StardustP : ModProjectile   //make sure the sprite file is named like the class name (CustomYoyoProjectile)
    {

        public override void SetDefaults()
        {
            Projectile.extraUpdates = 0;
            Projectile.width = 16;//Set the projectile hitbox width
            Projectile.height = 16; //Set the projectile hitbox height            
            Projectile.aiStyle = 99; // aiStyle 99 is used for all yoyos, and is Extremely suggested, as yoyo are extremely difficult without them
            Projectile.friendly = true;  //Tells the game whether it is friendly to players/friendly npcs or not
            Projectile.penetrate = 35; //Tells the game how many enemies it can hit before being destroyed. -1 = never
            Projectile.DamageType = DamageClass.Melee; //Tells the game whether it is a melee projectile or not      
			Projectile.tileCollide = false;
            // The following sets are only applicable to yoyo that use aiStyle 99.
            // YoyosLifeTimeMultiplier is how long in seconds the yoyo will stay out before automatically returning to the player. 
            // Vanilla values range from 3f(Wood) to 16f(Chik), and defaults to -1f. Leaving as -1 will make the time infinite.
            ProjectileID.Sets.YoyosLifeTimeMultiplier[Projectile.type] = 16f;
            // YoyosMaximumRange is the maximum distance the yoyo sleep away from the player. 
            // Vanilla values range from 130f(Wood) to 400f(Terrarian), and defaults to 200f
            ProjectileID.Sets.YoyosMaximumRange[Projectile.type] = 380f;
            // YoyosTopSpeed is top speed of the yoyo Projectile. 
            // Vanilla values range from 9f(Wood) to 17.5f(Terrarian), and defaults to 10f
            ProjectileID.Sets.YoyosTopSpeed[Projectile.type] = 16f;
        }
		public override void AI()
        {
            if (Main.rand.Next(110) == 0)
            {
			Projectile.NewProjectile(Projectile.GetProjectileSource_FromThis(), Projectile.Center.X, Projectile.Center.Y - 16f, Main.rand.Next(-7, 9) * .25f, Main.rand.Next(-8, -3) * .25f, ModContent.ProjectileType<Projectiles.StardustDupe>(), (int)(Projectile.damage * 1.1f), 0, Projectile.owner);
            }
        }
    }
}